List site migration events
GET
/v1/api/sites/{site_id}/migrations/projects/{migration_id}/eventsList the events of one of the site's migration projects.
- Scope
sites:read- Token
- API key or OAuth access token
- Role
- Any workspace member
- MCP tool
list_migration_events· preview: MCP write tools are in preview- What scopes, tokens and roles mean →
Request
cURL
curl "https://api.crawle.io/v1/api/sites/11111111-1111-1111-1111-111111111111/migrations/projects/11111111-1111-1111-1111-111111111111/events" \ -H "Authorization: Bearer $CRAWLE_API_KEY"
JavaScript
const response = await fetch("https://api.crawle.io/v1/api/sites/11111111-1111-1111-1111-111111111111/migrations/projects/11111111-1111-1111-1111-111111111111/events", {
headers: {
Authorization: `Bearer ${process.env.CRAWLE_API_KEY}`,
},
});
const data = await response.json();Python
import os
import requests
response = requests.request(
"GET",
"https://api.crawle.io/v1/api/sites/11111111-1111-1111-1111-111111111111/migrations/projects/11111111-1111-1111-1111-111111111111/events",
headers={
"Authorization": f"Bearer {os.environ['CRAWLE_API_KEY']}",
},
)
data = response.json()$CRAWLE_API_KEY- is an API key from Settings › API keys.
Response 200JSON
[
{
"created_at": "2026-01-01T09:00:00Z",
"data": {},
"event_type": "example",
"id": "example",
"message": "example",
"migration_id": "example"
}
]Example generated from the API contract.
Parameters
site_idpath · string (uuid)requiredmigration_idpath · string (uuid)required
Response 200
Errors
401
- When
- Missing, invalid, or expired token.
403
- When
- The token has none of the accepted scopes (
sites:read).
422
- When
- The request did not match the schema.
detaillists each problem.
429
- When
- Rate limited. Wait for
Retry-Afterseconds.
Generated from the API contract at 7e7039b0b, synced October 30, 2026.